import * as React from 'react';
import {observer} from "mobx-react-lite";
import {Trans} from "@lingui/macro";
import {Alert} from "@material-ui/lab";
import {SessionTypeBox} from "../SessionTypeBox";
import {Box} from "@material-ui/core";
import {InterfaceConfigExampleAccordion} from "../InterfaceConfigExampleAccordion";

type ProcessParameterInterfaceConfigFormProps = {
};

export const ProcessParameterInterfaceConfigForm: React.FunctionComponent<ProcessParameterInterfaceConfigFormProps> = observer(() => {

    return <Box>
        <Alert severity='info'>
            <Trans>Process Parameters interface cannot be configured</Trans>
        </Alert>
        <Box mt={5} mb={2}>
            <SessionTypeBox interfaceType={'ProcessParameterInterfaceConfig'}/>
        </Box>
        <Box mt={5} mb={2}>
            <InterfaceConfigExampleAccordion interfaceType={'ProcessParameterInterfaceConfig'}/>
        </Box>
    </Box>;
});
