import {attribute, DataStore, Model, model} from "@rx-suite/data";

@model({
    transportLayer: "/api/dcs2rest_traces",
    permissionTarget: "Dcs2restTrace",
    routingInfo: {
        update: '/dcs2rest_traces/:id/edit'
    }
})
export class Dcs2restTraceModel extends Model {
    @attribute()
    raw_data: string[] = [];

    @attribute()
    generated_payload: string | null = null;

    @attribute()
    last_error: string | null  = null;

    @attribute()
    time: Date = new Date;

    @attribute()
    machine_config_id: number = 0;

    @attribute()
    targeted_endpoint: string | null  = null;

    @attribute()
    success: boolean  = true;
}
export const Dcs2restTraceStore = Dcs2restTraceModel.store as DataStore<Dcs2restTraceModel>;
