class CalibrationInterfaceConfig < InterfaceConfig

  concerning :DcsToXml do
    def arguments_to_read
      [
        make_parameter_config_hash('target', 'XSTATUS', ';', 2, true),
        make_parameter_config_hash('target_name', '_CAITARGETNAME', '=', 1, false),
        make_parameter_config_hash('subtype', '_CAISUBTYPE', '=', 1, false),
        make_parameter_config_hash('mode', '_CAIMODE', '=', 1, true),
        make_parameter_config_hash('measurements', '_CAITM', '=', 1, true, {tag_name: 'measurement', separator: ';', slice_indexes: {name: 0, value: [1,2]}}),
        make_parameter_config_hash('corrections', '_CAITC', '=', 1, true, {tag_name: 'correction', separator: ';', slice_indexes: {name: 0, value: [1,2]}}),
        make_parameter_config_hash('user', '_USER', '=', 1, false)
      ]
    end

    def build_xml(args_hash)
      Nokogiri::XML::Builder.with(base_xml) do |xml|
        xml.calibration('xmlns' => xmlns) {
          args_hash.each do |k,v|
            next xml.method_missing(k, v) unless v.is_a? Array

            next if v.empty?

            xml.method_missing(k) {
              v.each do |arg_hash|
                xml.method_missing(arg_hash[:tag_name], {name: arg_hash[:name], value: arg_hash[:value]})
              end
            }
          end
        }
      end
    end

    def endpoint
      'connector/satisloh/calibration/1.0/add'
    end

    def xmlns
      'http://www.software4production.com/connector/satisloh/calibration_1_0'
    end
  end
end
