class EventInterfaceConfig < InterfaceConfig

  concerning :DcsToXml do
    def arguments_to_read
      [
        make_parameter_config_hash('message', 'XSTATUS', ';', 2, true),
      ]
    end

    def build_xml(args_hash)
      Nokogiri::XML::Builder.with(base_xml) do |xml|
        xml.event('xmlns' => xmlns) {
          args_hash.each do |k,v|
            xml.method_missing(k, v)
          end
        }
      end
    end

    def add_extra_xml_nodes(xml, data)
      doc = Nokogiri::XML(xml.to_xml)
      param_messages = data.filter {|message| (message =~ /^(REQ|XSTATUS)/).nil?}

      return doc if param_messages.empty?

      event = doc.root
      event_data = Nokogiri::XML::Node.new('eventData', doc)
      param_messages.each do |param_message|
        split_message = param_message.split('=')
        tag = split_message[0]
        value = split_message[1]

        data = Nokogiri::XML::Node.new('data', doc)
        data.set_attribute('name', tag)
        data.set_attribute('value', value)

        event_data.add_child(data)
      end
      event.add_child(event_data)
      doc
    end

    def endpoint
      'connector/satisloh/event/1.0/add'
    end

    def xmlns
      'http://www.software4production.com/connector/satisloh/event_1_0'
    end
  end
end
