class MachineStateInterfaceConfig < InterfaceConfig

  concerning :DcsToXml do
    def arguments_to_read
      [
        make_parameter_config_hash('comment', 'XSTATUS', ';', 2, false)
      ]
    end

    def build_xml(args_hash)
      Nokogiri::XML::Builder.with(base_xml) do |xml|
        xml.machinestate('xmlns' => xmlns) {
          args_hash.each do |k,v|
            xml.method_missing(k, v)
          end
        }
      end
    end

    def endpoint
      'connector/satisloh/machinestate/2.0/add'
    end

    def xmlns
      'http://www.software4production.com/connector/satisloh/machinestate_2_0'
    end
  end
end
